### Method

# EDataCal CalMetaBackend split_changes_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_meta_backend_split_changes_sync (
      ECalMetaBackend* meta_backend,
      GSList* objects,
      GSList** out_created_objects,
      GSList** out_modified_objects,
      GSList** out_removed_objects,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Splits `objects` into created/modified/removed lists according to current local cache content. Only the `out_removed_objects` can be `NULL`, others cannot. The function modifies `objects` by moving its ‘data’ to corresponding out lists and sets the `objects` ‘data’ to `NULL`.

Each output `GSList` should be freed with g_slist_free_full (objects, e_cal_meta_backend_info_free); when no longer needed.

The caller is still responsible to free `objects` as well.

Available since: 3.26

#### Parameters

`objects`

  Type: A list of `None`

  a `GSList` of `ECalMetaBackendInfo` object infos to split.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_created_objects`

  Type: A list of `None`

  a `GSList` of `ECalMetaBackendInfo` object infos which had been created.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_modified_objects`

  Type: A list of `None`

  a `GSList` of `ECalMetaBackendInfo` object infos which had been modified.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_removed_objects`

  Type: A list of `None`

  a `GSList` of `ECalMetaBackendInfo` object infos which had been removed; it can be `NULL`, to not gather list of removed object infos.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.